## Class Swift_Mailer

(line 22)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mailer.php

##### Swift Mailer class.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
static Swift_Mailer newInstance (Swift_Transport $transport)
Swift_Mailer __construct (Swift_Transport $transport)
int batchSend (Swift_Mime_Message $message, [ &$failedRecipients = null], [Swift_Mailer_RecipientIterator $it = null], array &$failedRecipients,, Swift_Mailer_RecipientIterator $it,)
Swift_Transport getTransport ()
void registerPlugin (Swift_Events_EventListener $plugin, string $key)
int send (Swift_Mime_Message $message, [ &$failedRecipients = null], array &$failedRecipients,)

#### Static Method newInstance (line 44)

#### Swift_Mailer newInstance( Swift_Transport $transport)

##### Create a new Mailer instance.

#### Parameters

- Swift_Transport $transport:

#### Info

- access - public

#### Constructor __construct (line 33)

#### Swift_Mailer __construct( Swift_Transport $transport)

##### Create a new Mailer using $transport for delivery.

#### Parameters

- Swift_Transport $transport:

#### Info

- access - public

#### Method batchSend (line 102)

#### int batchSend( Swift_Mime_Message $message, [ &$failedRecipients = null], [Swift_Mailer_RecipientIterator $it = null], array &$failedRecipients,, Swift_Mailer_RecipientIterator $it,)

##### Send the given Message to all recipients individually.

This differs from send() in the way headers are presented to the recipient. The only recipient in the "To:" field will be the individual recipient it was sent to.

If an iterator is provided, recipients will be read from the iterator one-by-one, otherwise recipient data will be retreived from the Message object.

Sender information is always read from the Message object.

The return value is the number of recipients who were accepted for delivery.

#### Parameters

- Swift_Mime_Message $message:
- array &$failedRecipients,: optional
- Swift_Mailer_RecipientIterator $it,: optional
- &$failedRecipients:
- Swift_Mailer_RecipientIterator $it:

#### Info

- see - Swift_Mailer::send()
- access - public

#### Method getTransport (line 169)

#### Swift_Transport getTransport( )

##### The Transport used to send messages.

#### Info

- access - public

#### Method registerPlugin (line 160)

#### void registerPlugin( Swift_Events_EventListener $plugin, string $key)

##### Register a plugin using a known unique key (e.g. myPlugin).

#### Parameters

- Swift_Events_EventListener $plugin:
- string $key:

#### Info

- access - public

#### Method send (line 68)

#### int send( Swift_Mime_Message $message, [ &$failedRecipients = null], array &$failedRecipients,)

##### Send the given Message like it would be sent in a mail client.

All recipients (with the exception of Bcc) will be able to see the other recipients this message was sent to.

If you need to send to each recipient without disclosing details about the other recipients see batchSend().

Recipient/sender data will be retreived from the Message object.

The return value is the number of recipients who were accepted for delivery.

#### Parameters

- Swift_Mime_Message $message:
- array &$failedRecipients,: optional
- &$failedRecipients:

#### Info

- see - Swift_Mailer::batchSend()
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:24 +0000 by phpDocumentor 1.4.3